Package it.ernytech.tdlib

## Class TdApi.InputThumbnail

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputThumbnail

Enclosing class:
  TdApi

    public static class TdApi.InputThumbnail
    extends TdApi.Object

A thumbnail to be sent along with a file; should be in JPEG or WEBP format for stickers, and less than 200 kB in size.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `height` Thumbnail height, usually shouldn't exceed 90.
`TdApi.InputFile` `thumbnail` Thumbnail file to send.
`int` `width` Thumbnail width, usually shouldn't exceed 90.

### Constructor Summary

Constructors
`InputThumbnail()` Default constructor.
`InputThumbnail​(TdApi.InputFile thumbnail, int width, int height)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### thumbnail

    public TdApi.InputFile thumbnail

Thumbnail file to send. Sending thumbnails by fileId is currently not supported.

#### width

    public int width

Thumbnail width, usually shouldn't exceed 90. Use 0 if unknown.

#### height

    public int height

Thumbnail height, usually shouldn't exceed 90. Use 0 if unknown.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputThumbnail

    public InputThumbnail()

Default constructor.

#### InputThumbnail

    public InputThumbnail​(TdApi.InputFile thumbnail,
                          int width,
                          int height)

Constructor for initialization of all fields.

Parameters:
  `thumbnail` - Thumbnail file to send. Sending thumbnails by fileId is currently not supported.
  `width` - Thumbnail width, usually shouldn't exceed 90. Use 0 if unknown.
  `height` - Thumbnail height, usually shouldn't exceed 90. Use 0 if unknown.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR